# WrappedOutAbilitiesPacket
Date: 2019-10-31

cc.funkemunky.api.tinyprotocol.packet.out

## Class WrappedOutAbilitiesPacket

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject
  - - cc.funkemunky.api.tinyprotocol.packet.out.WrappedOutAbilitiesPacket

    public class WrappedOutAbilitiesPacket
    extends NMSObject

### Nested Class Summary

### Nested classes/interfaces inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`NMSObject.Client, NMSObject.Server, NMSObject.Type`

### Constructor Summary

Constructors
Constructor and Description
`WrappedOutAbilitiesPacket(boolean invulernable, boolean flying, boolean allowedFlight, boolean creativeMode, float flySpeed, float walkSpeed)`
`WrappedOutAbilitiesPacket(java.lang.Object object, org.bukkit.entity.Player player)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.bukkit.entity.Player player, ProtocolVersion version)`

### Methods inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`construct, construct, construct, fetch, fetch, fetchField, fetchField, fetchFieldByName, getPacketName, setPacket, setPacket, setPacketArg, toBukkitStack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedOutAbilitiesPacket

    public WrappedOutAbilitiesPacket(java.lang.Object object,
                                     org.bukkit.entity.Player player)

#### WrappedOutAbilitiesPacket

    public WrappedOutAbilitiesPacket(boolean invulernable,
                                     boolean flying,
                                     boolean allowedFlight,
                                     boolean creativeMode,
                                     float flySpeed,
                                     float walkSpeed)

### Method Detail

#### process

    public void process(org.bukkit.entity.Player player,
                        ProtocolVersion version)

Overrides:
  `process` in class `NMSObject`